# Mitra configuration file

database_url: postgres://mitra:${psql_password}@127.0.0.1:5432/mitra
#database_tls_ca_file: /etc/mitra/database.pem
storage_dir: /var/lib/mitra
# Path to web client static files
web_client_dir: /usr/share/webapps/mitra

http_host: '127.0.0.1'
http_port: 8383

# List of allowed origins for CORS (in addition to main)
#http_cors_allowlist: []

# Log level (debug, info, warn)
#log_level: info

# Domain name
instance_uri: https://example.tld

instance_title: example
instance_short_description: my instance
# Long description can contain markdown syntax
instance_description: |
  # My instance
  Welcome!
# Make list of instance admins public
instance_staff_public: false

registration:
  # Possible values: open, invite
  type: invite
  # Possible values: user, read_only_user
  default_role: user

# Possible values: password, eip4361, caip122_monero. Default: password, eip4361.
#authentication_methods:
#  - password
#  - eip4361
#  - caip122_monero

# EIP-4361 / CAIP-122 login message
#login_message: 'Do not sign this message on other sites!'

# Limits
#limits:
#  media:
#    file_size_limit: 20M
#  posts:
#    character_limit: 2000

# Data retention parameters
retention:
  extraneous_posts: 50
  empty_profiles: 150

# Federation parameters
#federation:
#  enabled: true
#  # Proxy for outgoing requests
#  #proxy_url: 'socks5h://127.0.0.1:9050'
#  # Proxy for outgoing requests to .onion targets
#  #onion_proxy_url: 'socks5h://127.0.0.1:9050'
#  # Proxy for outgoing requests to .i2p targets
#  #i2p_proxy_url: 'socks5h://127.0.0.1:4447'

# List of blocked domains
#blocked_instances: []

# Blockchain integrations
# Multi-chain setups are currently not supported.
# Chain metadata for EVM chains can be found at https://github.com/ethereum-lists/chains
# Signing key for ethereum integration can be generated with `mitractl generate-ethereum-address`
#blockchains:
#  - chain_id: monero:mainnet
#    chain_metadata:
#      # Displayed on subscription page, can contain markdown syntax
#      description: null
#    node_url: 'http://127.0.0.1:18089'
#    wallet_rpc_url: 'http://127.0.0.1:18083'
#    wallet_rpc_username: null
#    wallet_rpc_password: null
#    wallet_name: null
#    wallet_password: null
#    account_index: 0
#  - chain_id: eip155:31337
#    chain_metadata:
#      chain_name: localhost
#      currency_name: ETH
#      currency_symbol: ETH
#      currency_decimals: 18
#      public_api_url: 'http://127.0.0.1:8545'
#      explorer_url: null
#    contract_address: '0xDc64a140Aa3E981100a9becA4E685f962f0cF6C9'
#    contract_dir: /usr/share/mitra/contracts
#    api_url: 'http://127.0.0.1:8545'
#    signing_key: null
#    chain_sync_step: 1000
#    chain_reorg_max_depth: 10

# IPFS integration
#ipfs_api_url: 'http://127.0.0.1:5001'
# IPFS gateway (for clients)
#ipfs_gateway_url: 'https://ipfs.example.tld'
